summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/decorator/decorator-3.4.2.ebuild')
-rw-r--r--dev-python/decorator/decorator-3.4.2.ebuild28
1 files changed, 28 insertions, 0 deletions
diff --git a/dev-python/decorator/decorator-3.4.2.ebuild b/dev-python/decorator/decorator-3.4.2.ebuild
new file mode 100644
index 00000000000..81a946181b7
--- /dev/null
+++ b/dev-python/decorator/decorator-3.4.2.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_{3,4}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Simplifies the usage of decorators for the average programmer"
+HOMEPAGE="http://pypi.python.org/pypi/decorator http://code.google.com/p/micheles/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="alpha amd64 arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE=""
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND=""
+# This release is missing no less than 8 files
+
+#python_test() {
+# local t=documentation.py
+# python_is_python3 && t=documentation3.py
+#
+# "${PYTHON}" ${t} || die "Tests fail with ${EPYTHON}"
+#}